Subject: [storm] Proposed Agenda for STORM RDMA/IP Mini-BOF Vancouver

From: Tom Talpey <[email-masked]>
Date: Fri, 25 Oct 2013 20:42:15 +0000

The following updated proposed agenda has been posted for the IETF-88 STORM WG. Feedback or comments welcome. See you in Vancouver!

RDMA/IP Mini-BOF
STORM WG, IETF-88 Vancouver Canada
1300-1500 Thursday Nov 7, Regency B

Blue Sheets, Introduction and Agenda Bashing - David Black - 5 min

RDMA Ecosystem - Tom Talpey - 20 min
       What is RDMA
       Previous IETF work
       Upper layers using RDMA
            iSER, NFS/RDMA, SMB3, SCSI RDMA Protocol (SRP),
               High Performance/Scientific/Financial Computing, Experimental
            RDMA requirements of each
       RDMA layers
            iWARP, InfiniBand, RDMA over Converged Ethernet (RoCE)
       Lower layers used by RDMA
            TCP, SCTP, Ethernet L2, Infiniband
       RDMA trends and development
       Virtualization, encapsulation
       Fabrics, infrastructure, bandwidths

iWARP trends - Brian Hausauer - 15 min+discussion
       Protocol status
       Extensions status
       Work in Progress

RoCE trends - TBA - 15 min+discussion
       Protocol status
       Related standards org(s)
       Work in Progress
            Routability

Fabric trends - Pat Thaler - 10 min+discussion
       RoCE dependencies from (Ethernet) fabric
       Data Center Bridging (DCB) including Priority Flow Control (PFC)

General discussion - 1 hour, also included above
       Future work within IETF
       Related work within IETF
       Relationship to external standards org(s)
       Protocol alternatives, e.g. iWARP, RoCE
       Identification of areas to investigate

Wrapup and next step(s)              

-----

Additional background:

The STORM (STORage Maintenance) working group's responsibilities include
maintenance and development of various IETF RDMA specifications, and interest
and activity is rising in these. Many RDMA device and RDMA-aware upper layer
implementations already use IETF-standard protocols, and others are moving
toward using IP networks, by defining new IP-family layering. Use of the iWARP
family is already in place for three broadly implemented storage protocols
(iSCSI, NFS, SMB), as well as for High Performance Computing. The Infiniband
Trade Association, which defines the InfiniBand and RDMA over Converged Ethernet
(RoCE) transports, is also addressing these. Additional extensions to the IETF
RDMA RFCs are in progress in the STORM working group.

A BOF is scheduled for the upcoming meeting to review the status of the various
RDMA-related efforts, and the requirements of upper layers. With these at front
of mind, a discussion will be held to determine interest and desire to proceed
with next steps in the IETF, and coordination with external standards efforts.
In addition to determining possible future IETF work, the discussion will
explore the role IETF may play in external specifications.

Example RDMA-capable Transports:
	iWARP (RFC5040-5044) and draft-ietf-storm-rdmap-ext
	RoCE (www.infinibandta.org)
	InfiniBand (www.infinibandta.org)

Example Upper layers using RDMA:
	NFS/RDMA (RFC5666-5667)
	iSER (RFC5046) and draft-ietf-storm-iser
	SMB3 and SMB Direct (MS-SMB2 and MS-SMBD http://msdn.microsoft.com/en-us/library/jj712081.aspx)
	MPI (http://en.wikipedia.org/wiki/Message_Passing_Interface)

Additional implementations/use:
	iWARP extensions (continued)
	Routable RoCE
	Shared memory (draft-fox-tcpm-shared-memory-rdma)
	Further use by storage upper layers
	Applicability to new storage technologies e.g. flash, nonvolatile memory, etc.